# loop forever
while {1} {
  # select a point from the graphics viewport
  set status \
    [SclSelectPoint point "Select a point (Esc 2 exit)" \
                   layer str_No seg_no pnt_no x y z desc]

  if {$status != $SCL_OK} {
    # if user pressed escape exit the loop
    break
  }

  puts "Selected points coords are y = $y x = $x, z = $z"
}
